Subject: Re: [PATCH net-next 01/15] ice: Add E830 checksum offload support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 7 Nov 2024 20:14:27 -0800

On Thu, 7 Nov 2024 17:37:41 -0800 Greenwalt, Paul wrote:
> > why dropping what the user requested with a warning and not just return
> > an error from ice_set_features()?  
> 
> I took this approach of reducing the feature set to resolve the device
> NETIF_F_HW_CSUM and NETIF_F_ALL_TSO feature limitation, which seemed
> consistent with the guidance in the netdev-features documentation.

My understanding of that guidance is that it is for "positive"
dependencies. Feature A requires feature B, so if feature B is
cleared so should the feature A. Here we have a feature conflict.